Bug 151538 - php-snmp rpm is missing, breaking cacti in an upgrade
php-snmp rpm is missing, breaking cacti in an upgrade
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-03-18 19:16 EST by Michael T. Halligan
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-21 08:13:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael T. Halligan 2005-03-18 19:16:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040803 Firefox/0.9.3

Description of problem:
php-snmp seems to have been left out of both the RHEL3 and RHEL4 distributions (WS, ES, and AS).  This breaks my entire monitoring system. A small list of software that now no longer works : 

- cacti 
- opennms
- ntop

My business relies on this software. Please fix this problem. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install RHEL
2. Try to install cacti
3. Fail miserably


Actual Results:  php-snmp is missing

Expected Results:  php-snmp should be available. 

Additional info:
Comment 1 Suzanne Hillman 2005-03-21 14:48:57 EST
As there appears to be some urgency to this bug report, I note that bugzilla is
the Red Hat bug-tracking system and is used to submit and review defects that
have been found in Red Hat distributions. Bugzilla is not an avenue for
technical assistance or support, but simply a bug tracking system.

For support, please call 800-REDHAT1 or go to http://www.redhat.com/support
Comment 2 Binand Sethumadhavan 2005-05-17 03:08:07 EDT
The changelog of php package (from May 2003) notes that the php-snmp subpackage
was left out because of ucd-snmp changing name to net-snmp overnight. Can the
subpackage be added back now, considering that it is almost two years? A lot of
tools (I am stuck on cacti) depends on php-snmp. I have rebuilt the PHP RPMs
with snmp support, but that breaks my up2date processes.

Comment 3 Joe Orton 2005-09-21 08:13:49 EDT
php-snmp is included in Red Hat Enterprise Linux 4.  Red Hat does not currently
plan to provide a resolution for this in a Red Hat Enterprise Linux update for
currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects.

Note You need to log in before you can comment on or make changes to this bug.